Freeciv-3.2: packet_server_setting_int Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_server_setting_int Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
bool | is_visible
bool | is_changeable
bool | initial_setting
enum setting_default_level | setdef
int | val
int | default_val
int | min_val
int | max_val

## Detailed Description

Definition at line 1536 of file packets_gen.h.

## Field Documentation

## ◆ default_val

int packet_server_setting_int::default_val

Definition at line 1543 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100(), and send_server_setting().

## ◆ id

int packet_server_setting_int::id

Definition at line 1537 of file packets_gen.h.

Referenced by receive_packet_server_setting_int_100().

## ◆ initial_setting

bool packet_server_setting_int::initial_setting

Definition at line 1540 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100().

## ◆ is_changeable

bool packet_server_setting_int::is_changeable

Definition at line 1539 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100().

## ◆ is_visible

bool packet_server_setting_int::is_visible

Definition at line 1538 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100(), and send_server_setting().

## ◆ max_val

int packet_server_setting_int::max_val

Definition at line 1545 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100(), and send_server_setting().

## ◆ min_val

int packet_server_setting_int::min_val

Definition at line 1544 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100(), and send_server_setting().

## ◆ setdef

enum setting_default_level packet_server_setting_int::setdef

Definition at line 1541 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100().

## ◆ val

int packet_server_setting_int::val

Definition at line 1542 of file packets_gen.h.

Referenced by send_packet_server_setting_int_100(), and send_server_setting().